# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_prompt

`krb5_prompt`

Text for prompt used in prompter callback function.

## Declaration

typedef struct _krb5_prompt krb5_prompt

## Members

char * `krb5_prompt.prompt`

  The prompt to show to the user.

int `krb5_prompt.hidden`

  Boolean; informative prompt or hidden (e.g. PIN)

krb5_data * `krb5_prompt.reply`

  Must be allocated before call to prompt routine.